Subject: ds/* (was What's cooking in git.git (Aug 2022, #03; Mon, 8))

From: Derrick Stolee <[email-masked]>
Date: Tue, 9 Aug 2022 09:16:44 -0400

On 8/8/2022 7:55 PM, Junio C Hamano wrote:
> * ds/bundle-uri-clone (2022-08-02) 5 commits
>  - clone: --bundle-uri cannot be combined with --depth
>  - bundle-uri: add support for http(s):// and file://
>  - clone: add --bundle-uri option
>  - bundle-uri: create basic file-copy logic
>  - remote-curl: add 'get' capability
> 
>  Implement "git clone --bundle-uri".
> 
>  Expecting a reroll.
>  cf. <[email-masked]>
>  source: <[email-masked]>

I just sent v3 [1], including the updates to the protocol parsing.

[1] https://lore.kernel.org/git/[email-masked]

> * ds/bundle-uri-more (2022-07-25) 2 commits
>  - bundle-uri: add example bundle organization
>  - docs: document bundle URI standard
> 
>  The "bundle URI" topic.
> 
>  Needs review.
>  source: <[email-masked]>

I just sent v4 [2], including minor rewords of things. Now that this was
reviewed by Josh, Matthew, and yourself, do you still feel that more
review is required?

[2] https://lore.kernel.org/git/[email-masked]

> * ds/decorate-filter-tweak (2022-08-05) 11 commits
>  - fetch: use ref_namespaces during prefetch
>  - maintenance: stop writing log.excludeDecoration
>  - log: create log.initialDecorationSet=all
>  - log: add --clear-decorations option
>  - log: add default decoration filter
>  - log-tree: use ref_namespaces instead of if/else-if
>  - refs: use ref_namespaces for replace refs base
>  - refs: add array of ref namespaces
>  - t4207: test coloring of grafted decorations
>  - t4207: modernize test
>  - refs: allow "HEAD" as decoration filter
> 
>  The namespaces used by "log --decorate" from "refs/" hierarchy by
>  default has been tightened.
> 
>  Will merge to 'next'?
>  source: <[email-masked]>

I think review has stabilized on this series.

Thanks,
-Stolee